Const ForReading = 1
Const MaxLines = 50
Dim Lines(50), LastLine, Counter

Set objFSO = CreateObject("Scripting.FileSystemObject") 
Set objInFile = objFSO.OpenTextFile("sample.txt", ForReading) 
Set objOutFile = objFSO.CreateTextFile("testfile.txt", True)

objOutFile.WriteLine("FastPDFGen	DEMO.FASTWIN::2024/11/25::CD5E6EB42BA559F4A92A19D6FC6079D0")
objOutFile.WriteLine("compressField")
objOutFile.WriteLine("start	pdfgensample4_r.pdf")

LastLine = 0
Counter = 1
Do Until objInFile.AtEndOfStream
    If LastLine >= MaxLines Then
        PrintPage
        LastLine = 0
    End If
    Lines(LastLine) = objInFile.Readline
    LastLine = LastLine + 1
Loop

If LastLine > 0 Then
    PrintPage
End If

objOutFile.WriteLine("finish")
objOutFile.Close

Set shell = CreateObject("WScript.Shell")
shell.Run "FastPDFGen.exe  testfile.txt  err.txt", 1, True




Sub PrintPage()
    Dim DispLineNo, LineNo

    Const DrawPointX = 85
    Const DrawPointY = 135
    Const BoxWidth = 310
    Const LineHeight = 12
    Const HeaderHeight = 23
    Const DrawPointItem2 = 67
    Const DrawPointItem3 = 217

    objOutFile.WriteLine("startPage	pdfgensample4.pdf.tpl")

    objOutFile.WriteLine("drawBox	" & DrawPointX & "	" & DrawPointY & "	" & BoxWidth & "	" & HeaderHeight + LineHeight * LastLine + 1 & "	0.6	1	0	0	0")

    objOutFile.WriteLine("drawLine	" & DrawPointX & "	" & DrawPointY + HeaderHeight - 4 & "	" & BoxWidth & "	0	0.3	1	0	0	0")
    objOutFile.WriteLine("drawLine	" & DrawPointX & "	" & DrawPointY + HeaderHeight - 2 & "	" & BoxWidth & "	0	0.3	1	0	0	0")

    For LineNo = 1 To LastLine - 1
        objOutFile.WriteLine("drawLine	" & DrawPointX & "	" & DrawPointY + HeaderHeight + LineHeight * LineNo & "	" & BoxWidth & "	0	0.2	1	0	0	0")
    Next

    objOutFile.WriteLine("drawLine	" & DrawPointX + DrawPointItem2 & "	" & DrawPointY & "	0	" & HeaderHeight + LineHeight * LastLine + 1 & "	0.2	1	0	0	0")
    objOutFile.WriteLine("drawLine	" & DrawPointX + DrawPointItem3 & "	" & DrawPointY & "	0	" & HeaderHeight + LineHeight * LastLine + 1 & "	0.2	1	0	0	0")

    objOutFile.WriteLine("makeArrayPageField	item1	" & LastLine & "	" & LineHeight)
    objOutFile.WriteLine("makeArrayPageField	item2	" & LastLine & "	" & LineHeight)
    objOutFile.WriteLine("makeArrayPageField	item3	" & LastLine & "	" & LineHeight)

    objOutFile.WriteLine("setPageFieldData	date	2013/12/25")
    objOutFile.WriteLine("setPageFieldData	title1	No.")
    objOutFile.WriteLine("setPageFieldData	title2	")
    objOutFile.WriteLine("setPageFieldData	title3	t")

    For LineNo = 0 To LastLine - 1
        DispLineNo = LineNo + 1
        Items = Split(Lines(LineNo) , ",") 
        objOutFile.WriteLine("setPageFieldData	item1__" & DispLineNo & "	" & Counter)
        objOutFile.WriteLine("setPageFieldData	item2__" & DispLineNo & "	" & Items(0))
        objOutFile.WriteLine("setPageFieldData	item3__" & DispLineNo & "	" & Items(1))
        Counter = Counter + 1
    Next

    objOutFile.WriteLine("endPage")
End Sub

